<template>
  <div id="app">
    <div id="nav" v-if="loggedIn">
      <router-link to="/">Home</router-link> | 
      <router-link to="/about">About</router-link> | 
      <router-link to="/test">New Home</router-link> | Welcome {{userName}} | <b-btn variant="link" @click="logOut">Logout</b-btn>
    
    </div>
    
    <router-view/>
  </div>
</template>

<script>
export default {
  computed: {
    loggedIn() {
      return this.$store.getters.checkLogin;
    },
    userName() {
      return this.$store.getters.getUserName;
    }
  },
  methods:{
    logOut(){
      this.$store.dispatch("logout");
      this.$router.replace("/");
    }
  }
};
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: #2c3e50;
}

#nav {
  padding: 30px;
}

#nav a {
  font-weight: bold;
  color: #2c3e50;
}

#nav a.router-link-exact-active {
  color: #42b983;
}
</style>
